Last Comment Bug 845819 - Overlay grain.png on the Folder Pane
: Overlay grain.png on the Folder Pane
Status: RESOLVED FIXED
: ux-consistency
Product: Thunderbird
Classification: Client Software
Component: Folder and Message Lists (show other bugs)
: unspecified
: All All
: -- enhancement (vote)
: Thunderbird 22.0
Assigned To: Josiah Bruner [:JosiahOne] (needinfo for responses)
:
Mentors:
http://infinite-josiah.blogspot.com/2...
Depends on: 935023 949389
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-27 06:29 PST by Josiah Bruner [:JosiahOne] (needinfo for responses)
Modified: 2013-12-12 11:33 PST (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch. (62.33 KB, patch)
2013-02-27 11:06 PST, Josiah Bruner [:JosiahOne] (needinfo for responses)
no flags Details | Diff | Review
Current Folder Pane (59.84 KB, image/png)
2013-02-27 11:08 PST, Josiah Bruner [:JosiahOne] (needinfo for responses)
no flags Details
New "grain" folderpane (189.53 KB, image/png)
2013-02-27 11:09 PST, Josiah Bruner [:JosiahOne] (needinfo for responses)
no flags Details
Patch. (69.41 KB, patch)
2013-02-28 10:05 PST, Josiah Bruner [:JosiahOne] (needinfo for responses)
no flags Details | Diff | Review
Patch. (188.77 KB, patch)
2013-02-28 10:18 PST, Josiah Bruner [:JosiahOne] (needinfo for responses)
no flags Details | Diff | Review
Patch. (187.63 KB, patch)
2013-02-28 11:46 PST, Josiah Bruner [:JosiahOne] (needinfo for responses)
no flags Details | Diff | Review
Patch. (188.19 KB, patch)
2013-02-28 11:58 PST, Josiah Bruner [:JosiahOne] (needinfo for responses)
richard.marti: review+
bwinton: ui‑review+
Details | Diff | Review
Screenshot of the grain on Linux (348.44 KB, image/png)
2013-03-12 10:00 PDT, :aceman
no flags Details
Full Window on OS X with grain. (552.37 KB, image/png)
2013-03-12 10:06 PDT, Josiah Bruner [:JosiahOne] (needinfo for responses)
no flags Details
Linux Grain Patch, Concept 1 (51.34 KB, patch)
2013-03-13 05:40 PDT, Josiah Bruner [:JosiahOne] (needinfo for responses)
no flags Details | Diff | Review
Linux Grain Patch, Concept 2 (42.82 KB, patch)
2013-03-13 11:21 PDT, Josiah Bruner [:JosiahOne] (needinfo for responses)
no flags Details | Diff | Review
screenshot of Linux with concept 2 (323.71 KB, image/png)
2013-03-13 11:36 PDT, :aceman
no flags Details
Linux Grain Patch, Concept 3 (39.69 KB, patch)
2013-03-13 11:49 PDT, Josiah Bruner [:JosiahOne] (needinfo for responses)
no flags Details | Diff | Review
screenshot of Linux with concept 3 (306.22 KB, image/png)
2013-03-13 12:42 PDT, :aceman
no flags Details
Linux Grain Patch, Concept 4 (25.61 KB, patch)
2013-03-22 09:37 PDT, Josiah Bruner [:JosiahOne] (needinfo for responses)
no flags Details | Diff | Review
Linux Grain Patch, Concept 5 (33.71 KB, patch)
2013-03-22 10:08 PDT, Josiah Bruner [:JosiahOne] (needinfo for responses)
no flags Details | Diff | Review
screenshot of Linux with concept 5 (227.34 KB, image/png)
2013-03-22 10:40 PDT, :aceman
no flags Details

Description Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-02-27 06:29:56 PST
Note: Part of a blog post we are pushing to update TB UI.
======================

http://infinite-josiah.blogspot.com/2013/02/thunderbird-ui-concept.html

See point 6 there for more details on this.
======================

Basically in order to update the UI and be more consistent with our current style, we should overlay the grain.png image over the blue color, and that would make it look more like our website and new tab page on Firefox.

Not very important, but a welcome change.

Grain is available at: https://assets.mozillalabs.com/Websites/Sandstone/Backgrounds/
Comment 1 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-02-27 11:06:28 PST
Created attachment 719105 [details] [diff] [review]
Patch.

Patch which overlays the grain.png image.
Comment 2 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-02-27 11:08:40 PST
Created attachment 719106 [details]
Current Folder Pane

Screenshot showing the default FolderPane.
Comment 3 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-02-27 11:09:41 PST
Created attachment 719107 [details]
New "grain" folderpane

Image showing the folder pane with grain. Requesting UI review from Blake.
Comment 4 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-02-28 10:05:17 PST
Created attachment 719556 [details] [diff] [review]
Patch.

Updated patch SHOULD bring grain texture to all platforms. However, I am not able to verify any platform except for OS X. If someone could verify that would be great.
Comment 5 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-02-28 10:18:45 PST
Created attachment 719563 [details] [diff] [review]
Patch.

Fixed oversight.
Comment 6 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-02-28 11:46:03 PST
Created attachment 719615 [details] [diff] [review]
Patch.

Excluding Windows Classic theme from the grain texture. Also removed unnecessary code concerning Aero.
Comment 7 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-02-28 11:58:42 PST
Created attachment 719619 [details] [diff] [review]
Patch.

Added grain to Linux.
Comment 8 rsx11m 2013-02-28 12:08:48 PST
(In reply to Josiah [:JosiahOne] from comment #6)
> Excluding Windows Classic theme from the grain texture.

Yes, that sounds like a good idea. The effect is subtle but nevertheless may appear a bit distracting with the Windows Classic and especially the High Contrast desktop themes.
Comment 9 Richard Marti (:Paenglab) 2013-02-28 12:40:40 PST
Comment on attachment 719619 [details] [diff] [review]
Patch.

Code looks good r+
Comment 10 Blake Winton (:bwinton) (:☕️) 2013-03-07 08:48:58 PST
Comment on attachment 719619 [details] [diff] [review]
Patch.

Subtle, but nice.  ui-r=me.

(Thanks for the ping!)
Comment 11 Ryan VanderMeulen [:RyanVM] 2013-03-07 16:02:07 PST
https://hg.mozilla.org/comm-central/rev/f24a3796b2f4
Comment 12 rsx11m 2013-03-07 16:11:33 PST
Comment on attachment 719107 [details]
New "grain" folderpane

I think that you can cancel the ui-review? request here now that the patch has been checked in.
Comment 13 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-03-07 18:07:41 PST
Comment on attachment 719107 [details]
New "grain" folderpane

Canceling unneeded ui review.
Comment 14 Richard Marti (:Paenglab) 2013-03-07 23:32:26 PST
Shouldn't the chat's contact list also become this grain to be consistent?
Comment 15 rsx11m 2013-03-08 07:58:22 PST
(that was spun off as bug 849215.)
Comment 16 :aceman 2013-03-12 08:34:04 PDT
I can't say I see any difference in the screenshots. I wonder how much memory this invisible effect takes.
Comment 17 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-03-12 08:46:32 PDT
(In reply to :aceman from comment #16)
> I can't say I see any difference in the screenshots. I wonder how much
> memory this invisible effect takes.

It's actually quite visible, but perhaps if you have a weaker monitor it does not appear visible. However, the file itself is 47 KB. Of course memory increase is not significant, but is there.
Comment 18 :aceman 2013-03-12 09:40:40 PDT
I don't think the majority of TB users are some graphics professionals with "better than weak" monitors.

I can barely see the grain on a 24" IPS monitor (not calibrated), but only because you told me to look closely. If I didn't know what to look for in the shots, I'd consider it noise in the monitor.
Comment 19 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-03-12 10:00:10 PDT
(In reply to :aceman from comment #18)
> I don't think the majority of TB users are some graphics professionals with
> "better than weak" monitors.
> 
> I can barely see the grain on a 24" IPS monitor (not calibrated), but only
> because you told me to look closely. If I didn't know what to look for in
> the shots, I'd consider it noise in the monitor.

My monitor is not meant for any graphic professionals. My monitor only cost $200, so that says a lot.

As for your issue, I realized on Linux the Folderpane is gray, so it will not show up well. Currently pondering on what to do about that...
Comment 20 :aceman 2013-03-12 10:00:41 PDT
Created attachment 723997 [details]
Screenshot of the grain on Linux
Comment 21 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-03-12 10:06:09 PDT
Created attachment 724000 [details]
Full Window on OS X with grain.

Here's a screenshot of the effect on a full window. You must make sure zoom is at 100% for it to be pretty clear.
Comment 22 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-03-13 05:40:54 PDT
Created attachment 724383 [details] [diff] [review]
Linux Grain Patch, Concept 1

Alright, this should work as a darker version of the grain that affects Linux only. Ace, what do you think of this? Does it show up better or worse?
Comment 23 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-03-13 11:21:39 PDT
Created attachment 724511 [details] [diff] [review]
Linux Grain Patch, Concept 2

Talked to Ace on IRC. That patch did not work, hopefully this one contrasts better.
Comment 24 :aceman 2013-03-13 11:36:07 PDT
Created attachment 724518 [details]
screenshot of Linux with concept 2

It is visible now, but probably too much.
Comment 25 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-03-13 11:49:29 PDT
Created attachment 724529 [details] [diff] [review]
Linux Grain Patch, Concept 3

This should tame down the sharpness. If not, I can do it once more. Hopefully this will be better.
Comment 26 :aceman 2013-03-13 12:42:50 PDT
Created attachment 724562 [details]
screenshot of Linux with concept 3
Comment 27 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-03-22 05:55:29 PDT
(In reply to :aceman from comment #26)
> Created attachment 724562 [details]
> screenshot of Linux with concept 3

Ace, how does this look for you? Is it to grainy? If it looks fine then we could land this one for Linux.
Comment 28 :aceman 2013-03-22 06:02:40 PDT
I've attached the screenshot with concept 3. I do see the grain there :)
Comment 29 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-03-22 06:03:48 PDT
(In reply to :aceman from comment #28)
> I've attached the screenshot with concept 3. I do see the grain there :)

Yes, but to me that looks a little to grainy still? Do you agree?
Comment 30 :aceman 2013-03-22 09:21:14 PDT
Can you make one in the middle between the windows version and concept 3 ?
Comment 31 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-03-22 09:37:59 PDT
Created attachment 728277 [details] [diff] [review]
Linux Grain Patch, Concept 4

Well, my previous image was somehow deleted. But I created a new one. Hopefully this is in between the two.  Try it out and let me know how it is.
Comment 32 :aceman 2013-03-22 10:01:56 PDT
That is invisible again.
Comment 33 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-03-22 10:08:25 PDT
Created attachment 728296 [details] [diff] [review]
Linux Grain Patch, Concept 5

And again. Here's another.
Comment 34 :aceman 2013-03-22 10:40:03 PDT
Created attachment 728307 [details]
screenshot of Linux with concept 5
Comment 35 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-03-22 10:42:06 PDT
(In reply to :aceman from comment #34)
> Created attachment 728307 [details]
> screenshot of Linux with concept 5

Thanks, this looks pretty good. I think we could land this.
Comment 36 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-03-22 11:11:37 PDT
Bug 853926
Comment 37 calimeroteknik 2013-10-31 12:53:38 PDT
This was a bad surprise when starting thunderbird 24.

It looks really bad with a dark theme, for it predates the background color of the theme.
http://www.kirikoo.net/images/14Anonyme-20131031-202254.jpg

Not everyone is using a default gray / bright theme! Thunderbird supported perfectly dark themes until this was added.
Comment 38 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-11-02 19:14:36 PDT
(In reply to calimeroteknik from comment #37)
> This was a bad surprise when starting thunderbird 24.
> 
> It looks really bad with a dark theme, for it predates the background color
> of the theme.
> http://www.kirikoo.net/images/14Anonyme-20131031-202254.jpg
> 
> Not everyone is using a default gray / bright theme! Thunderbird supported
> perfectly dark themes until this was added.

Sorry for not getting back to you sooner... 

But yes, that is definitely a severe problem and I am currently investigating a fix. I will file a bug on Monday and add those details to this bug. 

Thanks for the report, 
Josiah Bruner
Comment 39 calimeroteknik 2013-11-18 09:46:33 PST
Many thanks to you for the fix!
Comment 40 David Rankin 2013-12-12 01:43:49 PST
NO NO NO NO NO -- THERE SHOULD BE NO OVERLAY ON THE FOLDER PAGE. This kind of garbage drives users nuts. I use a dark background and the botched overlay in 24 and 25 rendered my light text unreadable and there was no way to turn it off (without hacking css files)

This whole line of thinking is flawed. If you want something added cosmetically, then DO IT TO YOUR OWN thunderbird install - DO NOT SCREW MINE UP. I don't want your setup, I want mine.
Comment 41 :aceman 2013-12-12 02:25:38 PST
David, please bug 935023.
Comment 42 David Rankin 2013-12-12 10:09:55 PST
When you do things like this, you cause bug reports to be written and scarce user and admin time to be spent trying to solve the problems one user choice has created: see, eg.:

https://bugs.archlinux.org/task/36979

Seriously, if you like the overlay, then add it to your own userChrome.css, do not make millions have to find a way to hack userChrome.css to remove what you think looks good. I understand progress and also what a "default" theme should be, and above all:

The default theme for anything should remain a simple, clean and plain "default" that is consistent between versions

We in opensource development would all do well to remember this. It is frustrating to spend hours trying to make tbird usable again, just because somebody decided to impose his thought of what "he likes" on the entire userbase without consideration that he might be screwing up the usability for everyone with a dark OS desktop theme involve.

You do great work, but a "default" should remain a consistent "default" between versions from an aesthetics standpoint. Enough said, this is just a very frustrating situation for all loyal tbird users that have dark OS themes.
Comment 43 rsx11m 2013-12-12 11:11:46 PST
That's bug 949389 now which you've opened, thus please let's keep the discussion there given that this bug is closed (and has been obsoleted by bug 935023 anyway, at least on trunk).
Comment 44 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-12-12 11:33:51 PST
(In reply to David Rankin from comment #40)
> NO NO NO NO NO -- THERE SHOULD BE NO OVERLAY ON THE FOLDER PAGE. This kind
> of garbage drives users nuts. I use a dark background and the botched
> overlay in 24 and 25 rendered my light text unreadable and there was no way
> to turn it off (without hacking css files)
> 
> This whole line of thinking is flawed. If you want something added
> cosmetically, then DO IT TO YOUR OWN thunderbird install - DO NOT SCREW MINE
> UP. I don't want your setup, I want mine.

That's has been fixed in version 28 by bug 935023. I have just requested uplift there, so your issue should be fixed in the next dot release.

Also, do *not* needinfo me just because you have an issue with a change. It interrupts workflow and is frankly just pretty rude. Bugzilla is not really the place for that kind of discussion, however I am always open to email (just be respectful about it).

Thanks,
Josiah

Note You need to log in before you can comment on or make changes to this bug.